<template>
  <div class="osMealCardmanage">
    <div class="el-card__header">
      <span>套餐卡管理</span>
      <div style="display: flex;flex-direction: row;align-items: center">
        <el-button type="primary" class="el-button--small" @click="addRecharge">新增</el-button>
      </div>
    </div>
    <div class="content">
      <div style="display: flex;flex-direction: row;align-items: center">
        <div class="block">
          <div class="searchInput" style="width:250px">
            <el-input style="display:inline-block;width:225px;height:30px"
                      placeholder="请输入套餐卡名称搜索"
                      v-model="msg.Name"
                      size="small"
                      @clear="getList"
                      @keyup.enter.native="getList"
                      clearable>
            </el-input>
            <span @click="getList" class="el-icon-search" style="color:#979dad;font-size:14px;position:relative;top:1px"></span>
          </div>
        </div>
      </div>
    </div>


    <div style="padding: 20px;background: #fff;">
      <el-table
        :data="tableData"
        header-cell-class-name="headClass"
        style="width: 100%"
        border
      >

        <el-table-column
          prop="ID"
          label="ID"
          width="100">
        </el-table-column>

        <el-table-column
          prop="Name"
          label="套餐卡信息">
          <template slot-scope="scope">
            <div class="app-image" :style="{backgroundImage:'url(' + scope.row.CouponIco + ')',backgroundSize:'cover'}"></div>
            <div flex="dir:left cross:center">
              {{scope.row.Name}}
            </div>
          </template>
        </el-table-column>
        <el-table-column
          prop="HeXiao"
          label="可用次数">

        </el-table-column>


        <el-table-column
          label="有效时间"
          prop="StartDate">
          <template slot-scope="scope">
            <div v-if="scope.row.IndateType==1">领取后{{scope.row.IndateDay}}天内有效</div>
            <div v-if="scope.row.IndateType==2">开始时间：{{scope.row.StartDate}}</div>
            <div v-if="scope.row.IndateType==2">结束时间：{{scope.row.EndDate}}</div>
          </template>
        </el-table-column>

        <el-table-column
          label="使用范围"
          prop="UseTypeStr">

        </el-table-column>
        <el-table-column
          label="添加日期"
          prop="CreateDate">

        </el-table-column>

        <el-table-column
          label="加入领券中心 "
          width="120">
          <!--PickupType-->
          <template slot-scope="scope">
            <el-switch
              @change="dianswitch(scope.row)"
              :active-value="1"
              :inactive-value="0"
              v-model="scope.row.PickupCenter"
            >
            </el-switch>
          </template>
        </el-table-column>

        <el-table-column
          fixed="right"
          label="操作"
          width="180"
        >
          <template slot-scope="scope">
            <el-tooltip class="item" effect="dark" content="发放优惠券" placement="top" >
              <img src="../../assets/img/setup/send.png" alt="" class="imgstyle" @click="grant(scope.row)">
            </el-tooltip>
            <el-tooltip class="item" effect="dark" content="编辑" placement="top" >
              <img src="../../assets/img/setup/edit.png" alt="" class="imgstyle" @click="Edit(scope.row)">
            </el-tooltip>
            <el-tooltip class="item" effect="dark" content="删除" placement="top" >
              <img src="../../assets/img/setup/del.png" alt="" class="imgstyle" @click="delete_b(scope.row)">
            </el-tooltip>
          </template>
        </el-table-column>
      </el-table>
      <el-pagination style="text-align:right"
                     background
                     @current-change="handleCurrentChange"
                     :page-size="msg.pageSize"
                     layout="prev, pager, next"
                     :current-page.sync="msg.pageIndex"
                     :total="count">
      </el-pagination>
    </div>
  </div>
</template>

<script>
  export default {
    name: "osMealCardmanage",
    data(){
      return{
        msg:{
          pageIndex:1,
          pageSize:20,
          Name:'',
        },
        tableData:[],
        count:0,
        loading:false
      }
    },
    created(){
      this.getDateList();

    },
    methods:{
      getDateList(){
        this.loading=true;
        this.apipost("/api/Reserve/GetDiscountCouponPageList", this.msg, res => {
          this.loading=false;
          if(res.data.resultCode==1){
            this.tableData = res.data.data.pageData;
            this.count = res.data.data.count;
          }else {
            this.Info(res.data.message);
          }

        })
      },
      addRecharge(){
        this.$router.push('/osAddmealcard');

      },
      grant(row){
        var arr=JSON.stringify(row)
        this.$router.push({
          name: 'osedgrantCouPon',
          query: {
            row
          }
        });
      },
      Edit(row){
        this.$router.push({
          name: 'osAddmealcard',
          query: {
            ID:row.ID,
            blank: "y"
          }
        });
      },
      delete_b(row){
        let that=this;
        that.Confirm("是否删除?", function () {
          that.apipost(
            "/api/Reserve/DelDiscountCoupon",
            {Id:row.ID},
            res => {
              if (res.data.resultCode == 1) {
                that.Success(res.data.message);
                that.getDateList();
              } else {
                that.Error(res.data.message);
              }
            },
          );
        });
      },
      SetUp(){
        this.$router.push('/rechargeSet');
      },
      getList(){
        this.msg.pageIndex = 1
        this.getDateList()
      },
      dianswitch(row){
        this.apipost("/api/Reserve/UpdatePickupType", {'Id':row.ID}, res => {
          if(res.data.resultCode==1){
            this.Success(res.data.message);
          }else {
            this.Info(res.data.message);
          }

        })
      },
      handleCurrentChange(val) {
        this.msg.pageIndex = val;
        this.getDateList();
      },
    },
  }
</script>

<style >
  .osMealCardmanage .el-card__header{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    background: #fff;

  }
  .osMealCardmanage .el-button--small{
    padding: 9px 15px;
  }
  .osMealCardmanage .content .searchInput{
    border: 1px solid #DCDFE6;
    border-radius: 4px;
    margin-left: 20px;
  }
  .osMealCardmanage .content .searchInput .el-input__inner{
    border:none;outline:none;
    height: 30px;
    line-height: 30px;
  }
  .osMealCardmanage .content .searchInput{
    line-height: normal;
    display: inline-table;
    border-collapse: separate;
    border-spacing: 0;
    width:250px;
  }
  .osMealCardmanage .content{
    background: #fff;
    margin-top:10px;
    padding: 15px;
    box-sizing: border-box;
  }
  .osMealCardmanage .app-image{
    background-position: center center;
    width: 50px;
    height: 50px;
    border-radius:0%;
    float: left;
    margin-right: 8px;
  }
</style>
